BroadNet
SIGTRANAdaptation

Couches d'adaptation M2PA et SUA

Mis à jour le 3 min de lectureFondé sur des normes
Réponse directe

M2PA (RFC 4165) et SUA (RFC 3868) sont des couches d'adaptation SIGTRAN pour des points de migration différents. M2PA remplace MTP2, offrant une liaison IP sur laquelle MTP3 complet tourne — utilisée pour construire des liaisons IP entre STP. SUA remplace entièrement SCCP, portant les utilisateurs de SCCP tels que TCAP/MAP directement sur SCTP sans MTP3 ni M3UA.

§01

M2PA : MTP2 sur IP

M2PA (MTP2 Peer-to-Peer Adaptation, RFC 4165) présente une liaison équivalente à MTP2 sur SCTP. Comme elle ne remplace que MTP2, les points d'extrémité font toujours tourner un MTP3 complet au-dessus — ils se comportent comme des points sémaphores SS7 ordinaires dotés de point codes, effectuant le routage et la gestion réseau MTP3. M2PA sert donc à construire des liaisons de signalisation IP entre STP (ou entre un STP et un point sémaphore), soit un remplacement tout-IP d'une liaison TDM A/B/C/D plutôt qu'une topologie passerelle-vers-serveur d'application.

§02

M2PA vs M2UA

M2PA et M2UA se situent tous deux au niveau MTP2 mais remplissent des rôles très différents. M2PA est de pair à pair : les deux extrémités font tourner MTP3 et la liaison est une vraie liaison de signalisation SS7 sur IP. M2UA est du rapatriement (backhaul) : il porte MTP2 depuis une passerelle de signalisation jusqu'à un Media Gateway Controller situé séparément qui détient MTP3 et au-dessus, via une Nodal Interworking Function. Confondre les deux est une source fréquente d'erreurs de conception.

M2PA vs M2UA
AspectM2PA (RFC 4165)M2UA (RFC 3331)
ModèlePeer-to-peerBackhaul (SG ↔ MGC)
Emplacement MTP3Aux deux extrémitésSur le contrôleur distant uniquement
Codes de pointLes deux extrémités en ont unLa passerelle transmet au contrôleur
Utilisation typeLiaisons STP basées sur IPSéparation passerelle/contrôleur distribuée
§03

SUA : adaptation des utilisateurs de SCCP

SUA (SCCP-User Adaptation, RFC 3868) porte les utilisateurs de SCCP — principalement TCAP et donc MAP — directement sur SCTP, remplaçant SCCP lui-même. Un nœud SUA adresse ses pairs avec un adressage de style SCCP (global titles, SSN) mais n'a besoin ni de MTP3 ni de M3UA en dessous. C'est efficace quand les points d'extrémité sont des utilisateurs de SCCP nativement IP, tels qu'un HLR/HSS ou SMSC IP dialoguant avec une passerelle de signalisation qui effectue la traduction de global title en leur nom.

§04

SUA et les modes de connexion

SUA prend en charge les deux types de service SCCP. Le service non connecté (classes SCCP 0/1) porte la grande majorité du trafic MAP/TCAP — routage SMS, itinérance — sous forme de messages autonomes. Le service connecté (classes SCCP 2/3) est disponible pour les applications nécessitant une connexion de signalisation. SUA peut interfonctionner avec SCCP sur une passerelle : un nœud SUA IP d'un côté et un pair SCCP TDM de l'autre échangent les mêmes messages applicatifs TCAP/MAP de façon transparente.

Où chaque couche d'adaptation coupe la pile
Couche remplacéeAdaptationCouches supérieures
MTP2M2PAMTP3 complet + SCCP + TCAP
MTP3M3UASCCP + TCAP
SCCPSUADirectement via TCAP / MAP
FAQ

Questions fréquemment posées

Quelle différence entre M2PA et M3UA ?

M2PA remplace MTP2, si bien que les deux points d'extrémité font toujours tourner MTP3 complet et agissent comme des points sémaphores ordinaires — il construit des liaisons IP entre STP. M3UA remplace MTP3, reliant des serveurs d'application à une passerelle de signalisation. M2PA coupe la pile une couche plus bas que M3UA.

Quand utiliser SUA plutôt que M3UA ?

Utilisez SUA quand vos points d'extrémité IP sont des utilisateurs de SCCP (TCAP/MAP) qui n'ont pas besoin de MTP3 — par exemple un HLR ou SMSC nativement IP. SUA porte l'utilisateur de SCCP directement sur SCTP et saute MTP3/M3UA. Utilisez M3UA quand vous devez préserver le service MTP3 pour SCCP et ISUP.

Quelle différence entre M2PA et M2UA ?

M2PA est de pair à pair : les deux extrémités font tourner MTP3 sur une liaison de signalisation IP. M2UA est du rapatriement : une passerelle de signalisation porte MTP2 jusqu'à un Media Gateway Controller distant qui détient MTP3. M2PA construit des liaisons SS7 ; M2UA sépare une passerelle de son contrôleur.

SUA utilise-t-il des global titles ?

Oui. SUA préserve l'adressage de style SCCP — global titles et subsystem numbers — pour que les applications adressent leurs pairs de la même façon que sur SCCP. Une passerelle peut effectuer la traduction de global title et interfonctionner SUA avec du SCCP classique de façon transparente.

M2PA remplace-t-il les liaisons SS7 TDM ?

En pratique oui. Comme M2PA présente une liaison équivalente à MTP2 avec MTP3 complet au-dessus, une liaison M2PA sur IP peut remplacer une liaison TDM A/B/C/D entre points sémaphores, permettant aux opérateurs de construire des interconnexions STP tout-IP tout en conservant le routage MTP3 standard.

Références

Spécifications sources

Les normes publiées sur lesquelles repose cette page. S'ouvre dans un nouvel onglet.

BNMaintenu par l'équipe d'ingénierie BroadNet·Messagerie de qualité opérateur depuis 2003
Placez-le sur le fil

Conçu avec une véritable liaison SMPP et une API REST.

Demandez un accès de test avec de véritables clés de test : envoyez d’abord à votre propre numéro vérifié, puis passez en production dans plus de 200 pays une fois que votre identité d’expéditeur et vos routes seront approuvées.